public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrea Arteaga" <andyspiros@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/openblas/
Date: Mon, 20 Aug 2012 09:21:28 +0000 (UTC)	[thread overview]
Message-ID: <1345454404.d0833606ef86a2763e1c83a1199952aad2432ca5.spiros@gentoo> (raw)

commit:     d0833606ef86a2763e1c83a1199952aad2432ca5
Author:     Andrea Arteaga <andyspiros <AT> gmail <DOT> com>
AuthorDate: Mon Aug 20 09:20:04 2012 +0000
Commit:     Andrea Arteaga <andyspiros <AT> gmail <DOT> com>
CommitDate: Mon Aug 20 09:20:04 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=d0833606

[sci-libs/openblas] Version bump

---
 sci-libs/openblas/ChangeLog             |    6 ++
 sci-libs/openblas/openblas-0.2.3.ebuild |  131 +++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+), 0 deletions(-)

diff --git a/sci-libs/openblas/ChangeLog b/sci-libs/openblas/ChangeLog
index 198533a..43e11f4 100644
--- a/sci-libs/openblas/ChangeLog
+++ b/sci-libs/openblas/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*openblas-0.2.3 (20 Aug 2012)
+
+  20 Aug 2012; Andrea Arteaga <andyspiros@gmail.com> +openblas-0.2.3.ebuild:
+  Version bump
+
+ 
 *openblas-0.2.2 (09 Jul 2012)
 
   09 Jul 2012; Sébastien Fabbro <bicatali@gentoo.org> -openblas-0.1.1.ebuild,

diff --git a/sci-libs/openblas/openblas-0.2.3.ebuild b/sci-libs/openblas/openblas-0.2.3.ebuild
new file mode 100644
index 0000000..27d5bb6
--- /dev/null
+++ b/sci-libs/openblas/openblas-0.2.3.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+if [[ ${PV} == "9999" ]] ; then
+	_SCM=git-2
+	EGIT_REPO_URI="https://github.com/xianyi/OpenBLAS.git"
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="http://github.com/xianyi/OpenBLAS/tarball/v${PV} -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x86-macos ~ppc-macos ~x64-macos"
+	CID="e552452" # commit ID
+fi
+
+inherit eutils toolchain-funcs alternatives-2 multilib ${_SCM}
+
+DESCRIPTION="Optimized BLAS library based on GotoBLAS2"
+HOMEPAGE="http://xianyi.github.com/OpenBLAS/"
+
+LICENSE="BSD"
+SLOT="0"
+
+IUSE="+incblas int64 dynamic openmp static-libs threads"
+
+RDEPEND="virtual/fortran"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/xianyi-OpenBLAS-${CID}"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-{sharedlibs-0.2,aliasing}.patch
+	# respect LDFLAGS
+	sed -i -e '/^LDFLAGS\s*=/d' Makefile.* || die
+	# respect CFLAGS only if dynamic flag not enabled
+	if ! use dynamic; then
+		sed -i \
+			-e "/^COMMON_OPT/s/-O2/${CFLAGS}/" \
+			Makefile.rule || die
+	fi
+	# fix executable stacks
+	local i
+	for i in $(find . -name \*.S); do
+		cat >> ${i} <<-EOF
+			#if defined(__ELF__)
+			.section .note.GNU-stack,"",%progbits
+			#endif
+		EOF
+	done
+}
+
+src_configure() {
+	local use_openmp=$(use openmp && echo 1)
+	use threads && use openmp && use_openmp="" && \
+		einfo "openmp and threads enabled: using threads"
+	sed -i \
+		-e "s:^#\s*\(NO_LAPACK\)\s*=.*:\1=1:" \
+		-e "s:^#\s*\(NO_LAPACKE\)\s*=.*:\1=1:" \
+		-e "s:^#\s*\(CC\)\s*=.*:\1=$(tc-getCC):" \
+		-e "s:^#\s*\(FC\)\s*=.*:\1=$(tc-getFC):" \
+		-e "s:^#\s*\(USE_THREAD\)\s*=.*:\1=$(use threads && echo 1 || echo 0):" \
+		-e "s:^#\s*\(USE_OPENMP\)\s*=.*:\1=${use_openmp}:" \
+		-e "s:^#\s*\(DYNAMIC_ARCH\)\s*=.*:\1=$(use dynamic && echo 1):" \
+		-e "s:^#\s*\(INTERFACE64\)\s*=.*:\1=$(use int64 && echo 1):" \
+		-e "s:^#\s*\(NO_CBLAS\)\s*=.*:\1=$(use incblas || echo 1):" \
+		Makefile.rule || die
+}
+
+src_compile() {
+	mkdir solibs
+	emake libs shared && mv *$(get_libname) solibs/
+	use static-libs && emake clean && emake libs NEED_PIC=
+}
+
+src_test() {
+	emake tests
+}
+
+src_install() {
+	local profname=${PN} threads
+	use int64 && profname=${profname}-int64
+	if use threads; then
+		threads="-pthread"
+		profname=${profname}-threads
+	elif use openmp; then
+		profname=${profname}-openmp
+	fi
+
+	dolib.so solibs/lib*$(get_libname)
+	use static-libs && dolib.a lib*.a
+
+	# create pkg-config file and associated eselect file
+	cat <<-EOF > ${profname}.pc
+		prefix=${EPREFIX}/usr
+		libdir=\${prefix}/$(get_libdir)
+		includedir=\${prefix}/include
+		Name: ${PN}
+		Description: ${DESCRIPTION}
+		Version: ${PV}
+		URL: ${HOMEPAGE}
+		Libs: -L\${libdir} -lopenblas ${threads}
+		Libs.private: -lm
+	EOF
+
+	alternatives_for blas ${profname} 0 \
+		/usr/$(get_libdir)/pkgconfig/blas.pc ${profname}.pc
+
+	if use incblas; then
+		echo >> ${profname}.pc "Cflags: -I\${includedir}/${PN}"
+		insinto /usr/include/${PN}
+		doins cblas.h common*.h config.h param.h
+		alternatives_for cblas ${profname} 0 \
+			/usr/$(get_libdir)/pkgconfig/cblas.pc ${profname}.pc \
+			/usr/include/cblas.h ${PN}/cblas.h
+	fi
+
+	insinto /usr/$(get_libdir)/pkgconfig
+	doins ${profname}.pc
+	dodoc GotoBLAS_{01Readme,03FAQ,04FAQ,05LargePage,06WeirdPerformance}.txt
+
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		cd "${ED}"/usr/$(get_libdir)
+		for d in *.dylib ; do
+			ebegin "Correcting install_name of ${d}"
+			install_name_tool -id "${EPREFIX}/usr/$(get_libdir)/${d}" "${d}"
+			eend $?
+		done
+	fi
+}


             reply	other threads:[~2012-08-20  9:21 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-08-20  9:21 Andrea Arteaga [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-08-28  7:37 [gentoo-commits] proj/sci:master commit in: sci-libs/openblas/ Benda XU
2017-08-25  6:28 Benda XU
2017-06-06  4:12 Benda XU
2017-04-30 10:25 Justin Lecher
2017-04-02  4:21 Benda XU
2016-02-21 15:16 Justin Lecher
2015-11-30 10:58 Justin Lecher
2015-11-30 10:58 Justin Lecher
2015-06-06 10:23 Justin Lecher
2015-06-06 10:23 Justin Lecher
2015-04-02 10:15 Justin Lecher
2015-04-02 10:15 Justin Lecher
2015-03-27 20:25 Denis Dupeyron
2014-10-20 18:01 Justin Lecher
2014-10-20 12:32 Mark Wright
2014-10-19 10:21 Mark Wright
2014-10-19  5:55 Mark Wright
2014-10-06  5:56 Justin Lecher
2014-10-06  5:56 Justin Lecher
2014-10-06  5:56 Justin Lecher
2014-10-06  5:56 Justin Lecher
2014-10-06  5:56 Justin Lecher
2014-10-06  5:56 Justin Lecher
2014-01-06 18:33 Justin Lecher
2013-08-06 15:49 Sebastien Fabbro
2013-07-24 23:09 Sebastien Fabbro
2013-03-03 18:39 Sebastien Fabbro
2013-03-03 18:39 Sebastien Fabbro
2012-12-12 19:28 Sebastien Fabbro
2012-10-15 20:15 Andrea Arteaga
2012-10-08 17:35 Andrea Arteaga
2012-06-26 22:27 Sebastien Fabbro
2012-05-07 14:57 Andrea Arteaga
2012-05-07 14:50 Andrea Arteaga
2012-03-23 20:45 Andrea Arteaga
2012-03-16 21:41 Sebastien Fabbro
2012-03-15 22:08 Francois Bissey
2012-03-15 22:01 Francois Bissey
2012-03-15  2:34 Francois Bissey
2011-08-17 17:21 Alexey Shvetsov
2011-08-17 15:45 Sebastien Fabbro
2011-08-16 23:51 Francois Bissey

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1345454404.d0833606ef86a2763e1c83a1199952aad2432ca5.spiros@gentoo \
    --to=andyspiros@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox